Skip to content
GAMPEONCreate
New project

Join a voice channel

POST
/v1/communities/{id}/channels/{channelId}/voice
curl --request POST \
--url https://api.gampeon.com/v1/communities/1/channels/1/voice \
--header 'Authorization: Bearer <token>'

Needs connect in the channel, no timeout and an age of 16 or older. Returns the address of the voice server and a token for this channel only, valid for 10 minutes to connect (LiveKit keeps the connection alive after that). The token allows the microphone only with speak (and when not muted by moderators) and screen sharing with sound only with stream. You can be in one voice channel at a time: joining another one disconnects you from the first. Full channels (userLimit) can only be joined with moveMembers; at most 100 people per channel.

Not available with access tokens.

Rate limit: 30 per 10 minutes per account.

id
required
integer
>= 1

Community ID

channelId
required
integer
>= 1

Channel ID

Token

Media typeapplication/json
object
url
required

WebSocket address of the voice server

string
token
required

Access token for the voice server

string
room
required
string
identity
required

Your random ID on the voice server

string
expiresAt
required

Connect before this

integer format: int64
permissions
required

Your permissions in this channel

integer
muted
required

Muted by moderators of the community

boolean
canSpeak
required
boolean
canStream
required
boolean

Example generated

{
"url": "example",
"token": "example",
"room": "example",
"identity": "example",
"expiresAt": 1,
"permissions": 1,
"muted": true,
"canSpeak": true,
"canStream": true
}

Error codes: not_a_voice_channel

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed, age_restricted, timed_out, missing_permission, banned, community_hidden

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: channel_full

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Limit: 30 per 10 minutes per account. Error codes: rate_limited

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: voice_unavailable

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback